Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get organisation

Gets a single organisation.

GET/api/v2/{team_slug}/{app_slug}/organisations/{org_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
org_idstring<uuid>required
Responses
200

OK

dataOrganisationrequired
Show properties
idUUIDrequired
namestringrequired
organisation_numberstring | null
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
credit_checkboolean
statusstring
contact_namestring | null
emailstring | null
phonestring | null
tax_id_vat_numberstring | null
external_refstring | null
invoice_emailstring | null
custom_fieldsobject
commentstring | null
shipping_addressOrganisationAddress[]
Show properties
Array of OrganisationAddress
idUUID | null
Show properties
Any of:
UUID
UUID
null
null
shipping_typestringrequired
namestring | null
company_namestring | null
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
phonestring | null
is_defaultbooleanrequired
billing_addressOrganisationAddress[]
Show properties
Array of OrganisationAddress
idUUID | null
Show properties
Any of:
UUID
UUID
null
null
shipping_typestringrequired
namestring | null
company_namestring | null
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
phonestring | null
is_defaultbooleanrequired
customer_group_idsUUID[]
tagsOrganisationTagSummary[]
Show properties
Array of OrganisationTagSummary
idUUIDrequired
keystring
namestring
statusstring
filterableboolean
created_atstring<date-time>
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "organisation_number": "string",
    "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
    "credit_check": true,
    "status": "string",
    "contact_name": "string",
    "email": "string",
    "phone": "string",
    "tax_id_vat_number": "string",
    "external_ref": "string",
    "invoice_email": "string",
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "comment": "string",
    "shipping_address": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "shipping_type": "string",
        "name": "string",
        "company_name": "string",
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string",
        "phone": "string",
        "is_default": true
      }
    ],
    "billing_address": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "shipping_type": "string",
        "name": "string",
        "company_name": "string",
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string",
        "phone": "string",
        "is_default": true
      }
    ],
    "customer_group_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "tags": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "key": "string",
        "name": "string",
        "status": "string",
        "filterable": true,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ]
  }
}